<template>
  <section class="add-form">
    <a-form layout="inline" :form="form" @submit="addTask">
      <a-form-item class="input-item">
        <a-input  v-decorator="['name']" type='text' placeholder="Add tasks" />
      </a-form-item>
      <a-form-item>
        <a-button type="primary" html-type="submit">
          <a-icon type="plus" />
        </a-button>
      </a-form-item>
    </a-form>
  </section>
</template>

<script>
  import { Form, Input, Button, Icon } from "ant-design-vue";
  import { uuid } from 'uuidv4';

  export default {
    name: 'AddTask',
    data() {
      return {
        formLayout: 'horizontal',
        form: this.$form.createForm(this, { name: 'coordinated' }),
      };
    },
    components: {
      'a-form': Form,
      'a-form-item': Form.Item,
      'a-input': Input,
      'a-button': Button,
      'a-icon': Icon
    },
    methods: {
      addTask(e) {
        e.preventDefault();
        this.form.validateFields((err, values) => {
          if (!err) {
            const task = {
              id: uuid(),
              name: values.name,
              completed: false
            }
            this.$emit('add-task', task);
          }
        });
      }
    }
  }
</script>

<style scoped>
  .add-form {
    margin: 2rem 0;
  }
  .input-item {
    min-width: 50%;
  }
</style>
